#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D tex0;
uniform bool evenframe; // Number of elapsed frames
uniform int orientation;

varying vec2 tcoord;
varying vec4 color;

void main() {

	vec2 offset = mod(floor(gl_FragCoord.xy) + float(evenframe), 2.0);

	if (orientation == 0 && offset.y == 0.0) gl_FragColor = vec4(0);
	else if (orientation == 1 && offset.x == 0.0) gl_FragColor = vec4(0);
	else if (orientation == 2 && offset.y != 0.0) gl_FragColor = vec4(0);
	else if (orientation == 3 && offset.x != 0.0) gl_FragColor = vec4(0);
	else gl_FragColor = color;	
}